guessnet (0.58build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:40 +1100

guessnet (0.58build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:12 +0100

guessnet (0.58) unstable; urgency=medium

  * QA upload.
  * Fix FBTFS with GCC-11. Remove dynamic exception specs. (Closes: #984163)
  * debian/control: Add version (>= 1.1-3) to "libwibble-dev".

 -- Marcos Talau <talau@debian.org>  Sat, 07 Jan 2023 16:53:56 -0300

guessnet (0.57) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #786398)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 16:34:08 -0300

guessnet (0.56) unstable; urgency=low

  [ Enrico Zini ]
  * Make ProcData copy semantics explicit
  * Added a test runner that allows to choose what test to run, and
    to run tests in a debugger.

  [ Andrew Shadura ]
  * Rebuild against newest libwibble (Closes: #738288).
  * Disable tests for time now.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 13 May 2014 02:27:57 +0200

guessnet (0.55) unstable; urgency=low

  * Document that recent changes to ifupdown require the fully qualified path
    to guessnet-ifupdown to run at boot.
  * Fix typos in the manpage.
  * Don't ship empty directory.
  * Bump Standards-Version; no changes needed.
  * Switch to 3.0 (native) source package format.

 -- Andrew O. Shadura <bugzilla@tut.by>  Fri, 22 Jun 2012 00:21:56 +0200

guessnet (0.54-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.
     + Support source directive for ifupdown 0.7 compatibility.

 -- Andrew O. Shadura <bugzilla@tut.by>  Wed, 28 Dec 2011 14:00:39 +0300

guessnet (0.53-2) unstable; urgency=low

  * Maintainer set to QA
  * Code moved to collab-maint git

 -- Enrico Zini <enrico@debian.org>  Tue, 02 Nov 2010 12:02:15 +0000

guessnet (0.53-1) unstable; urgency=low

  * New upstream version
     + Parse command line arguments also in ifupdown mode. Thanks Kevin Locke
       for the patch.  Closes: #572424.

 -- Enrico Zini <enrico@debian.org>  Thu, 04 Mar 2010 13:49:52 +0000

guessnet (0.52-1) unstable; urgency=low

  * Acknowledge NMU (Closes: #570306)
  * New upstream version
     + Added help option in test-wireless* scripts thanks to Stefano Sabatini
       Closes: #393904
     + Added iwscan-tries option to retry wireless scans. Thanks to Sebastian
       Schmidt. Closes: #554614
     + Properly shutdown child threads and wait for them. Closes: #553906
     + Fixed a harmless race condition in the tests. valgrind is pure joy.
       valgrind --tool=helgrind is pure concurrent joy.
     + Switch to pcap_next_ex to catch timeout conditions. Closes: #549192

 -- Enrico Zini <enrico@debian.org>  Sun, 28 Feb 2010 13:44:15 +0000

guessnet (0.51-1.1) unstable; urgency=low

  * Non-maintainer upload with the ACK of the maintainer.
  * Fix FTBFS with newer g++ by adding a missing include directive.
    (Thanks to Fabian Knittel.)  (Closes: #570306)

 -- Philipp Kern <pkern@debian.org>  Thu, 18 Feb 2010 15:29:06 +0100

guessnet (0.51-1) unstable; urgency=low

  * New upstream version
     + Fixed crashes when sending output to syslog. Closes: #532609.

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Sep 2009 10:47:41 +0100

guessnet (0.50-1) unstable; urgency=low

  * New upstream release
     + increased pcap timeout in netwatcher.cc. Closes: #529882.
       Thanks to Dietz Pröpper and Vincent Lefevre for digging this out.
  * Removed waproamd from suggests. Closes: #509394.

 -- Enrico Zini <enrico@debian.org>  Mon, 28 Sep 2009 17:01:40 +0100

guessnet (0.49-1) unstable; urgency=low

  * New upstream version
     + Minor fixes in the scan selection logic.

 -- Enrico Zini <enrico@debian.org>  Mon, 26 May 2008 22:04:45 +0100

guessnet (0.48-1) unstable; urgency=low

  * New upstream version
     + Fixed command line parser.  Closes: #472450.

 -- Enrico Zini <enrico@debian.org>  Fri, 28 Mar 2008 10:18:03 +0800

guessnet (0.47-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS and gcc-4.3 incompatibilty by tweaking headers. Thanks to 
    Kumar Appaiah and Cyril Brulebois. Closes: #467580, #456068

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 16 Mar 2008 21:55:06 +0000

guessnet (0.47-1) unstable; urgency=low

  * New upstream version
     - Allow spaces in essid names, protected with double quotes.
       Closes: bug#454903.

 -- Enrico Zini <enrico@debian.org>  Sat, 08 Dec 2007 19:05:55 +0000

guessnet (0.46-1) unstable; urgency=low

  * New upstream version
     - Output routines are now thread safe.  Closes: bug#453864.

 -- Enrico Zini <enrico@debian.org>  Thu, 06 Dec 2007 12:03:56 +0000

guessnet (0.45-1) unstable; urgency=low

  * New upstream version
     - Added --syslog and --init-delay
     - The profile filtering system should now work as expected.

 -- Enrico Zini <enrico@debian.org>  Sun, 18 Nov 2007 15:12:30 +0000

guessnet (0.44-1) experimental; urgency=low

  * New upstream version
     - Restored selecting interfaces in 'map' commands, that got accidentally
       disabled
     - Implemented autofiltering mapping based on mapping name.  Look for
       'autofilter' in the manpage

 -- Enrico Zini <enrico@debian.org>  Sun, 04 Nov 2007 13:58:28 +0100

guessnet (0.43-1) experimental; urgency=low

  * New upstream version
     - Added missing includes.  Closes: bug#417224.
     - Reorganised the code.
     - Implemented wireless tests internally using iwlib.  Closes: bug#429862.
     - Allows to test for open wireless networks.
  * Many things have changed, so this upload goes to experimental
  * Updated Standards-Version

 -- Enrico Zini <enrico@debian.org>  Sat, 03 Nov 2007 19:34:56 +0100

guessnet (0.42-1) unstable; urgency=high

  * Remove throw() handlers to allow the new strange new exception raised by
    thread cancellation to do its job.  Closes: #400866.
  * Urgency is high as this bug makes guessnet mostly unusable.  Changes since
    0.41-1 have been kept to a minimum.

 -- Enrico Zini <enrico@debian.org>  Mon, 19 Mar 2007 15:00:13 +0000

guessnet (0.41-1) unstable; urgency=low

  * New upstream version
     - Use a correct version number in configure.ac
  * Build-depend on new libwibble to get a working commandline parser.
    Closes: bug#389114.

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Sep 2006 00:35:09 +0100

guessnet (0.40-1) unstable; urgency=low

  [ Joachim Breitner ]
  * test-wireless makes wireless interface lose association (Closes:
    #329419)
    Until now, test-wireless ifconfig up'ed the interface and ifconfig down'ed
    it afterwards, which always caused a disconnect. I have removed these
    lines. If it breaks it for you now, please tell us, so that we can
    implement a conditional ifconfig-up-and-down'ing.

  [ Enrico Zini ]
  * New upstream version.
    - Use the system classes from wibble 0.1.4+
    - Fix the script line parser for the standalone configuration file.
      Closes: bug#387601.
    - Correctly prints wlan and priv link beat detection errors.
      Closes: bug#387603.
    - Better output for link detection functions when they fail.
      Closes: bug#387600.
    - Correctly handle error cases in link beat detection.
      Closes: bug#336924.
    - Don't check if the wlan interface is associated with an AP as part
      of link-beat detection.
  * Added X-Vcs-Svn tag to debian/control

 -- Enrico Zini <enrico@debian.org>  Sat, 23 Sep 2006 16:39:57 +0100
 

guessnet (0.39-2) unstable; urgency=low

  * Added pkg-config to build dependencies, thanks to Andreas Jochens for the
    note (closes: #384910).

 -- martin f. krafft <madduck@debian.org>  Tue, 29 Aug 2006 08:30:18 +0200

guessnet (0.39-1) unstable; urgency=low

  * New upstream version.
     + Ported to libwibble.
     + Fixed path of arping.  Closes: #384569.
     + Greatly improved /etc/network/interfaces examples.
       Thanks Adeodato Simó for the patches.
     + Applied patch from NMU.  Closes: 357182.
       Thanks Martin Michlmayr for the patch.
     + Added an FAQ entry on how to run tests only on some interfaces.
       Closes: #374326.
     + Removed check for existance of script file and looking for scripts with
       relative paths in the script directory: it did not add security and
       it was more confusing than useful.  Closes: #366549.
  * Updated Standards-Version, no change required.

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Aug 2006 19:25:26 +0100

guessnet (0.38-1) unstable; urgency=low

  * New upstream version.
    + Applied patch from Jean-Damien Durand.  Closes: #337199, #336640.

 -- Enrico Zini <enrico@debian.org>  Thu, 10 Nov 2005 16:16:19 +0100

guessnet (0.37-1) unstable; urgency=low

  [ Thomas Hood ]
  * Bump Standards-Version to 3.6.2.1; no changes required

  [ Enrico Zini ]
  * New upstream version
    + Implemented peer test without destination IP, to test for the existance
      of physical interfaces with changing IP addresses.
    + Script scans now look for the script in /usr/share/guessnet/test instead
      of current directory if they are specified with relative paths.
      Hopefully noone used relative paths, as they didn't work.
      Script scans now also get a sane and clean PATH, which includes the
      script directory itself.  Closes: #257328.

 -- Enrico Zini <enrico@debian.org>  Sun, 23 Oct 2005 13:48:03 +0200

guessnet (0.36-1) unstable; urgency=low

  * New upstream version
    + If link beat detection fails completely (as happens when it
      is not supported), then act as if the link beat is present
      (Closes: #295518)
    + Make test-wireless-ap handle the MAC address argument properly
      (Closes: #286835)
    + Speed up test-wireless
    + No longer use ip command in /usr/share/guessnet/test/test-*.
      Use ifconfig instead.  (Closes: #294346)
    + Comment resolvconf-related lines from /etc/network/interfaces
      example stanzas since users could be confused by them
      (Closes: #297836)

 -- Enrico Zini <enrico@debian.org>  Mon,  2 May 2005 14:11:32 +0200

guessnet (0.35-1) unstable; urgency=low

  * Allows any amount of whitespace in /etc/network/interfaces between "test"
    and the rest of the line (partly addresses #293356)
  * Complains if a line starts with "test(-|\s)" but it cannot be parsed by
    guessnet. Closes: #293356.

 -- Enrico Zini <enrico@debian.org>  Mon,  7 Feb 2005 16:45:21 +0100

guessnet (0.34-1) unstable; urgency=low

  * Integrate material from ifupdown-roam README into the README

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 20 Oct 2004 14:59:17 +0200

guessnet (0.33-1) unstable; urgency=low

  * Upstream version.  Fixes another FTBFS on Alpha.  Closes: #276787.
    Thanks to Kurt Roeckx for the patch.

 -- Enrico Zini <enrico@debian.org>  Mon, 18 Oct 2004 00:13:52 +0200

guessnet (0.32-1) unstable; urgency=low

  * Upstream version.  Fixes FTBFS on Alpha.

 -- Enrico Zini <enrico@debian.org>  Fri, 15 Oct 2004 22:09:27 +0200

guessnet (0.31-1) unstable; urgency=low

  * Release of 0.30-1~trial4.
    Thomas Hood joined development team.

 -- Enrico Zini <enrico@debian.org>  Fri, 15 Oct 2004 12:33:01 +0200

guessnet (0.30-1~trial4) unstable; urgency=low

  * Unreleased
  * New upstream release which includes the following changes that
    affect Debian bug reports:
    + test-dhcp:
      - Remove  (Closes: #268318) 
    + guessnet:
      - Redirect output of pppoe test to /dev/null (Closes: #257216)
      - Make wireless tests work  (Closes: #225953)
    + getmac:
      - Add comment that it is written for the iputils-arping version
        of arping.  (Closes: #273110)
    + guessnet.8:
      - Note that multiple test peer IP addresses must differ from
        one another  (Mitigates: #268572)
  * copyright, README.Debian
    + Tweak
  * Remove execute permission from files in the examples directory
  * control:
    + Suggest: waproamd
    + Tweak Description

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun,  3 Oct 2004 12:13:51 +0200

guessnet (0.29-2) unstable; urgency=low

  * Added guessnet.links (Closes: #257325)
  * Applied script patches from Thomas Hood (Closes: #257325)

 -- Enrico Zini <enrico@debian.org>  Fri,  2 Jul 2004 21:47:39 +0200

guessnet (0.29-1) unstable; urgency=low

  * New upstream version
     * Allow (optionalle) to specify a source address in peer scans
       (Closes: #235307)
  * Ported to cdbs

 -- Enrico Zini <enrico@debian.org>  Fri,  2 Jul 2004 12:10:45 +0200

guessnet (0.28-1) unstable; urgency=low

  * New upstream version ("Alcorcon")
     * Removed unused ifexpr code (Closes: #240759)
     * Actually waits for timeout to get scan results, and fixed handling of
       default scan (Closes: #240781)
  * Fixed debian/copyright (Closes: #240791)

 -- Enrico Zini <enrico@debian.org>  Wed, 31 Mar 2004 16:06:19 +0100

guessnet (0.27-1) unstable; urgency=low

  * New upstream version ("Alberto Gonzalez Iniesta")
     * Uses the right types for the arguments of libnet_adv_cull_packet
       Closes: #226934 (FTBFS on m68k) (I just can't get it right)
     * New initialization strategy does not initialize unused scanning layers
       Closes: #228540
     * Replaced pthread_cancel with another strategy (NPTL problems?)
       Closes: #235591
     * Applied Lennart patches (Closes: #240387)
  * Bumped Standards-Version to 3.6.1.0

 -- Enrico Zini <enrico@debian.org>  Sun, 28 Mar 2004 14:21:59 +0200

guessnet (0.26-1) unstable; urgency=low

  * New upstream version ("The noisy one")
     * Uses libnet_adv_cull_packet instead of libnet_pblock_coalesce
     * Uses the right types for the arguments of libnet_adv_cull_packet 
       Closes: #225221 (FTBFS on HPPA)
     * Closes: #224894 (Segfault when using "default:" in ifupdown mode and
       when using other parameters)
     * Does not enforce UID to be 0, but prints a note about uid not being 0
       when catching fatal exceptions
       Closes: #224910 (should not ask for root privileges)
     * Allows an optional guessnet[0-9]*\s+ token in front of configuration
       lines
       Closes: #224893 (using 'guessnet' option instead of 'test' in
       interfaces file)
     * Works around ifupdown peskiness as reported in bug #224742, allowing
       and ignoring some stupid useless things in the configuration lines. 
     * Restructured the manpage
       Closes: #224888 (manpage improvement)
     * Added scan for PPPOE

 -- Enrico Zini <enrico@debian.org>  Tue,  6 Jan 2004 18:06:41 +0100

guessnet (0.25-1) unstable; urgency=low

  * New upstream version
     * Turn an unhandled exception into a libnet error message showing an
       old libnet bug that had been corrected but is back again

 -- Enrico Zini <enrico@debian.org>  Mon, 22 Dec 2003 14:46:06 +0100

guessnet (0.24-1) unstable; urgency=low

  * New upstream version
     * Configuration file: change "test-stuff" in "test stuff" in ifupdown
       mode to account for ifupdown quirks.  Allow both syntaxes for
       compatibility with older ifupdown files.
     * Allow for specifying test-peer scans without a macaddress, only
       checking for the existance of a host with that IP address.

 -- Enrico Zini <enrico@debian.org>  Sun, 21 Dec 2003 14:53:12 +0100

guessnet (0.23-1) unstable; urgency=low

  * New upstream version ("Who does not die sees himself again")
     * Port to libnet1
     * Nice code refactorying
     * If there are no profiles given in stdin in ifupdown mode, assume they
       are all enabled
     * Integrate the simple patch from the BTS (thank you Fabian Knittel!)
       Closes: #220470 (Hangs on thread join)
     * Added link-beat detection scan, to select a profile if there is no cable
       on the socket

 -- Enrico Zini <enrico@debian.org>  Sun, 21 Dec 2003 01:59:02 +0100

guessnet (0.22-1) unstable; urgency=low

  * Fixed typos in the description.  Closes: bug#194889
  * FIxed misspelling of Hervé Eychenne
  * Applied patches by Fabien Knittel to make ifupdown mode work.  Closes: bug#195393
  * Reading commandline arguments from stdin now works

 -- Enrico Zini <enrico@debian.org>  Thu,  5 Jun 2003 17:11:21 +0200

guessnet (0.21-1) unstable; urgency=low

  * New upstream version
  * Added guessnet-scan

 -- Enrico Zini <enrico@debian.org>  Tue, 27 May 2003 01:34:40 +0200

guessnet (0.20-1) unstable; urgency=low

  * New upstream version.  Closes: bug#193796
  * Replaced -V with --debug and let -V work as --version
  * Removed dependancy on libpopt

 -- Enrico Zini <enrico@debian.org>  Sun, 25 May 2003 16:14:25 +0200

guessnet (0.19-1) unstable; urgency=low

  * New upsteam version
  * Correctly handle when libpopt popt_next returns null instead of a packet
    (had to look at popt sources to see what it means, since I couldn't find
    it documented anywhere >:((( )
  * The check to see if an interface is really up is now correct. Closes: bug#193411
  * Experimental nice parser updates; documentation will come in the next
    release, when they won't be experimental anymore

 -- Enrico Zini <enrico@debian.org>  Fri, 16 May 2003 21:38:53 +0200

guessnet (0.18-1) unstable; urgency=low

  * New upstream version
  * -v and -V switch can now work without specifying an ethernet device
  * New scanning modes added
  * ifupdown mode is now fully implemented
  * Added a guessnet-ifupdown symlink to guessnet that activates ifupdown
    mode.
    <rant>
    BTW, invoking guessnet by that name is the only clean way to tell guessnet
    it's being invoked by ifupdown.
    Bug#139383 has a simple suggestion for a better ways of doing that, too
    bad it's 1 year and 50 days old at the moment and there's no sign it will
    be addressed soon.
    </rant>

 -- Enrico Zini <enrico@debian.org>  Sat, 10 May 2003 21:29:31 +0200

guessnet (0.17-1) unstable; urgency=low

  * New upstream release, major rewrite, fully backwards compatible
  * Backported to libnet0.  Closes: bug#180403
  * Can now use /etc/network/interfaces itself to store detection info
  * No longer needs a local ip address to generate ARP probes

 -- Enrico Zini <enrico@debian.org>  Thu,  8 May 2003 11:46:01 +0200

guessnet (0.16-1) unstable; urgency=low

  * New upstream release

 -- Enrico Zini <enrico@debian.org>  Sun,  9 Feb 2003 22:22:15 +0100

guessnet (0.15-2) unstable; urgency=low

  * Added build dependency to libpcap-dev.  Closes: bug#180161
    I'm ashamed.
  * Further manpage improvements by Thomas Hood.  Closes: bug#178228

 -- Enrico Zini <enrico@debian.org>  Fri,  7 Feb 2003 21:41:45 +0100

guessnet (0.15-1) unstable; urgency=low

  * New upstream vesion (with porting to libnet 1.x)
  * guessnet executable is now installed in /usr/sbin.  Closes: bug#177886
  * Manpage uses the new DESCRIPTION field from Thomas Hood, slightly edited
    by me.  Closes: bug#178228
  * First maintainer upload after libpcap0 change.  Closes: bug#156179
  * Updated to Standards Version 3.5.8

 -- Enrico Zini <enrico@debian.org>  Fri,  7 Feb 2003 15:55:11 +0100

guessnet (0.14-1.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:36:56 +0200

guessnet (0.14-1) unstable; urgency=low

  * New upstream release, should be ok on big endian machines, too.

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Mar 2002 12:52:51 +0100

guessnet (0.13-1) unstable; urgency=low

  * New upstream release.

 -- Enrico Zini <enrico@debian.org>  Sat, 16 Mar 2002 12:42:39 +0100

guessnet (0.12-1) unstable; urgency=low

  * New upstream release.  Closes: bug#121985
  * Added some useful scripts for the examples directory

 -- Enrico Zini <enrico@debian.org>  Thu,  6 Dec 2001 15:45:52 +0100

guessnet (0.11-1) unstable; urgency=low

  * New upstream release (just some documentation improvements)

 -- Enrico Zini <enrico@debian.org>  Fri, 30 Nov 2001 17:06:16 +0100

guessnet (0.10-2) unstable; urgency=low

  * Replaced automake symlinks with real files.  Closes: bug#120965

 -- Enrico Zini <enrico@debian.org>  Sun, 25 Nov 2001 10:59:09 +0100

guessnet (0.10-1) unstable; urgency=low

  * New upstream release
  * Forgot to close wnpp bug.  Closes: bug#118996

 -- Enrico Zini <enrico@debian.org>  Fri, 23 Nov 2001 12:59:46 +0100

guessnet (0.9-2) unstable; urgency=low

  * Removed debug stdout printf of default profile when -d is used, now checks
    verbosity and uses stderr

 -- Enrico Zini <enrico@debian.org>  Sat, 17 Nov 2001 11:12:48 +0100

guessnet (0.9-1) unstable; urgency=low

  * Initial Release.

 -- Enrico Zini <enrico@debian.org>  Sat, 10 Nov 2001 10:56:46 +0100
